Package com.massivecraft.factions.cmd

## Class CmdAnnounce.AnnounceBrigadier

- java.lang.Object
- - com.massivecraft.factions.cmd.CmdAnnounce.AnnounceBrigadier

All Implemented Interfaces:
  `BrigadierProvider`

Enclosing class:
  CmdAnnounce

    protected class CmdAnnounce.AnnounceBrigadier
    extends java.lang.Object
    implements BrigadierProvider

### Constructor Summary

Constructors
Modifier | Constructor | Description
--- | --- | ---
`protected` | `AnnounceBrigadier()` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`com.mojang.brigadier.builder.ArgumentBuilder<java.lang.Object,​?>` | `get​(com.mojang.brigadier.builder.ArgumentBuilder<java.lang.Object,​?> parent)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnnounceBrigadier

    protected AnnounceBrigadier()

### Method Detail

#### get

    public com.mojang.brigadier.builder.ArgumentBuilder<java.lang.Object,​?> get​(com.mojang.brigadier.builder.ArgumentBuilder<java.lang.Object,​?> parent)

Specified by:
  `get` in interface `BrigadierProvider`